org.apache.commons.math.distribution

## Interface NormalDistribution

All Superinterfaces:
  ContinuousDistribution, Distribution, HasDensity<Double>

All Known Implementing Classes:
  NormalDistributionImpl

    public interface NormalDistribution
    extends ContinuousDistribution, HasDensity<Double>

Normal (Gauss) Distribution.

References:

- Normal Distribution

Version:
  $Revision: 920852 $ $Date: 2010-03-09 13:53:44 +0100 (mar. 09 mars 2010) $

### Method Summary

Methods
`double` `density(Double x)` Return the probability density for a particular point.
`double` `getMean()` Access the mean.
`double` `getStandardDeviation()` Access the standard deviation.
`void` `setMean(double mean)` Deprecated. as of v2.1
`void` `setStandardDeviation(double sd)` Deprecated. as of v2.1

### Methods inherited from interface org.apache.commons.math.distribution.ContinuousDistribution

`inverseCumulativeProbability`

### Methods inherited from interface org.apache.commons.math.distribution.Distribution

`cumulativeProbability, cumulativeProbability`

### Method Detail

#### getMean

    double getMean()

Access the mean.

Returns:
  mean for this distribution

#### setMean

    @Deprecated
    void setMean(double mean)

Deprecated. as of v2.1
Modify the mean.

Parameters:
  `mean` - for this distribution

#### getStandardDeviation

    double getStandardDeviation()

Access the standard deviation.

Returns:
  standard deviation for this distribution

#### setStandardDeviation

    @Deprecated
    void setStandardDeviation(double sd)

Deprecated. as of v2.1
Modify the standard deviation.

Parameters:
  `sd` - standard deviation for this distribution

#### density

    double density(Double x)

Return the probability density for a particular point.

Specified by:
  `density` in interface `HasDensity<Double>`
Parameters:
  `x` - The point at which the density should be computed.
Returns:
  The pdf at point x.